Skip to main content
`Ctrl`+`K`

# BasicHeader

class astropy.io.ascii.BasicHeader

  Bases: `BaseHeader`

  Basic table Header Reader.

  Set a few defaults for common ascii table formats (start at line 0, comments begin with `#` and possibly white space)

  Attributes Summary

  `comment` | regular expression for comment lines
  `start_line` | None, int, or a function of `lines` that returns None or int
  `write_comment` |

  Attributes Documentation

  comment = '\\s*#'

    regular expression for comment lines

  start_line = 0

    None, int, or a function of `lines` that returns None or int

  write_comment = '# '